// load and display an SVG shape
// !!! not all SVG shapes are loaded correctly !!!

// http://processing.org/reference/PShape.html
// http://processing.org/reference/loadShape_.html
// http://processing.org/reference/shape_.html


int svgSize = 30;

// Object variables -------------------------------------
PShape s;

// Setup ------------------------------------------------
void setup() {
  size(320,240);
  
  // load Shape
  s = loadShape("chribel.svg");
  shapeMode(CENTER);
  smooth();
}

// Draw --------------------------------------------------
void draw() {
    background(160);

    shape(s, mouseX, mouseY, svgSize, svgSize);
  
}

// Mouse Pressed -------------------------------------------
void mousePressed() {
  svgSize *= 2;      // groesse duplizieren

}

void mouseReleased(){
  svgSize *= 0.5;    // groesse halbieren
}
